Bug 1093562 (CVE-2014-3207) - CVE-2014-3207 sks: reflected cross-site scripting flaw
Summary: CVE-2014-3207 sks: reflected cross-site scripting flaw
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2014-3207
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20131219,repor...
: 1093800 (view as bug list)
Depends On: 1093563 1093564
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-02 04:57 UTC by Murray McAllister
Modified: 2019-06-08 20:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-30 12:33:02 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-05-02 04:57:19 UTC
A reflected cross-site scripting flaw was reported in Synchronizing Key Server (SKS), and OpenPGP keyserver. A remote attacker could use this flaw to perform a cross-site scripting attack.

References:

https://bugzilla.mozilla.org/show_bug.cgi?id=952077
https://bitbucket.org/skskeyserver/sks-keyserver/issue/26/unfiltered-xss
https://bitbucket.org/skskeyserver/sks-keyserver/pull-request/30/issue26-fix-a-non-persistent-cross-site
https://bitbucket.org/kristianf/sks-keyserver-patches/src/tip/Issue26?at=default
http://seclists.org/oss-sec/2014/q2/225

Comment 1 Murray McAllister 2014-05-02 04:59:16 UTC
Created sks tracking bugs for this issue:

Affects: fedora-all [bug 1093563]
Affects: epel-6 [bug 1093564]

Comment 2 Vincent Danen 2014-05-02 18:28:01 UTC
*** Bug 1093800 has been marked as a duplicate of this bug. ***

Comment 3 Murray McAllister 2014-05-05 07:13:50 UTC
MITRE assigned CVE-2014-3207 to this issue:

http://seclists.org/oss-sec/2014/q2/239

Comment 4 Fedora Update System 2014-08-27 01:31:21 UTC
sks-1.1.5-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-08-27 01:32:37 UTC
sks-1.1.5-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.